<?php

namespace Shqawe\ForumJump;
use XF\Mvc\Entity\Entity;

Class Listener{


    public static function getData(\XF\Template\Templater $templater, &$type, &$template, array &$params) {
		
        \XF::visitor()->cacheNodePermissions();
		$app = \XF::app();
        $repo = $app->em()->getRepository('XF:Node');
        $forumjumps = $repo->getNodeList();
        $params['forumjumps'] = $forumjumps;
    }
    
    public static function getLinksData(\XF\Template\Templater $templater, &$type, &$template, array &$params) {
		
        \XF::visitor()->cacheNodePermissions();
		$app = \XF::app();
        $repo = $app->em()->getRepository('Shqawe\ForumJump\XF:FjRepository');
        $forumjumps = $repo->getAllowLinks()->fetch();
        $params['fjlinks'] =[
            'fjAdditionalLinks' => $forumjumps,
            'fj_total'  => $repo->getAllowLinks()->total()
        ];
    }

    public static function getFjLinks(\XF\Template\Templater $templater, &$type, &$template, array &$params) {
		
        \XF::visitor()->cacheNodePermissions();
		$app = \XF::app();
        $repo = \XF::finder('XF:NodeType')->where('node_type_id','<>','Category')->fetch();
        $params['fjlinks'] = $repo;
    }
    
}

?>